petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSMonitorSPEigCtxCreate

Creates a context for use with TS to monitor the eigenvalues of the linearized operator

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorSPEigCtxCreate(MPI_Comm comm,const char host[],const char label[],int x,int y,int m,int n,PetscInt howoften,TSMonitorSPEigCtx *ctx)

Collective on TS

### Input Parameters

| host | - the X display to open, or null for the local machine
| label | - the title to put in the title bar
| x, y | - the screen coordinates of the upper left coordinate of the window
| m, n | - the screen width and height in pixels
| howoften | - if positive then determines the frequency of the plotting, if -1 then only at the final time

### Output Parameter

ctx -the context

### Options Database Key

-ts_monitor_sp_eig -plot egienvalues of linearized right hand side

### Notes

Use TSMonitorSPEigCtxDestroy() to destroy.

Currently only works if the Jacobian is provided explicitly.

Currently only works for ODEs u_t - F(t,u) = 0; that is with no mass matrix.

### Keywords

TS, monitor, line graph, residual, seealso

### See Also

TSMonitorSPEigTimeStep(), TSMonitorSet(), TSMonitorLGSolution(), TSMonitorLGError()

Level:intermediate
Location:src/ts/interface/tseig.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages